List Folders
List folders for a video workspace. Use parent_id to list only folders inside a specific parent folder.
Path Parameters
- Type: stringworkspace
_id requiredVideo workspace id.
Query Parameters
- Type: stringparent
_id Parent folder id. Send
nullto list root folders.
Responses
- application/json
- application/json
Request Example for get/video/workspaces/{workspace_id}/folders
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const folder = await client.folders.list('workspaceId');
console.log(folder);
[
{
"id": "67e4f01d403562dbea6542d4",
"name": "Course Assets",
"video_source_id": "67e4ece9403562dbea65425f",
"parent_id": null,
"path": [],
"path_names": [],
"depth": 0,
"subdirectory_count": 2,
"asset_count": 12,
"created_at": "2026-03-18T10:00:00.000Z",
"updated_at": "2026-03-18T10:15:00.000Z"
}
]
